<div class="msg-pop orderinfo">
  <div>
    <h3>Driver</h3>
  </div>
</div>
<div>
  <div class="pop--inner">
    <form [formGroup]="editForm" (ngSubmit)="updateDriver();" class="form-horizontal">
      <div class="row div-scroll">
        <div class="col-sm-12">
          <label class="control-label">Permanent Drivers</label>
        </div>
        <div class="col-sm-12">
          <mat-chip-list #chipList2 aria-orientation="vertical">
            <mat-chip *ngFor="let driverData of driversFilter;" [selectable]="selectable" [removable]="removable"
              (removed)="removeDriver(driverData)" style="font-size:10px;">
              {{driverData.username}}
              <mat-icon matChipRemove class="fa fa-times-circle"></mat-icon>
            </mat-chip>
            <br />
            <input class="form-control custom-class-border" [formControl]="driverCtrl" placeholder="Select driver"
              [matChipInputFor]="chipList2" [matAutocomplete]="auto3">
          </mat-chip-list>
          <mat-autocomplete #auto3="matAutocomplete" [displayWith]="displayFnDriverId"
            (optionSelected)="driverIdselected($event)">
            <mat-option *ngFor="let driver of driversData" [value]="driver">
              {{driver.username}}
            </mat-option>
          </mat-autocomplete>
        </div>
      </div>
      <div class="row div-scroll">
        <div class="col-sm-12">
          <label class="control-label">Standby Driver</label>
        </div>
      </div>
      <div class="row div-scroll">
        <div class="col-sm-12"
          *ngIf="deviceAddData.temp_shift_id && deviceAddData.temp_shift_id!=null && tempShiftData!==''">
          <table aria-describedby="Manage Company" class="table table-striped table-bordered table-responsive zoom">
            <thead>
              <tr>
                <th scope="col">Driver Name </th>
                <th scope="col">Driver ID </th>
                <th scope="col">Login Allowed Between </th>
                <th scope="col">Created by</th>
                <th scope="col">Created At</th>
                <th scope="col">Additional Note</th>
                <th scope="col">Action</th>
              </tr>
            </thead>
            <tbody>
              <tr>
                <td>{{tempShiftData.driver_id.name}} {{tempShiftData.driver_id.surname}}</td>
                <td>{{tempShiftData.driver_id.username}}</td>
                <td>{{tempShiftData.shift_allowed_login_from}} - {{tempShiftData.shift_allowed_login_to}}</td>
                <td>{{tempShiftData.created_by.email}} - {{tempShiftData.created_by.firstname}}
                  {{tempShiftData.created_by.lastname}}</td>
                <td>{{tempShiftData.created_at}}</td>
                <td>{{tempShiftData.reason_field}}</td>
                <td><span matTooltip="Delete">
                    <a (click)="openDialog()">
                      <i aria-hidden="true" class="fa fa-trash text-navy"></i>
                    </a>
                  </span></td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
      <div class="row div-scroll" *ngIf="!deviceAddData.temp_shift_id || deviceAddData.temp_shift_id==null">
        <div class="col-sm-12">
          <table aria-describedby="Manage Company" class="table table-striped table-bordered table-responsive zoom">
            <thead>
              <tr>
                <th scope="col">Driver ID </th>
                <th scope="col">Login Allowed From </th>
                <th scope="col">Login Allowed To </th>
                <th scope="col">Additional Note</th>
                <th scope="col">Action</th>
              </tr>
            </thead>
            <tbody>
              <tr>
                <td>
                  <mat-chip-list #chipList3 aria-orientation="vertical">
                    <mat-chip *ngFor="let driverData of driversFilter1;" [selectable]="selectable"
                      [removable]="removable" (removed)="removeDriver1(driverData)" style="font-size:10px;">
                      {{driverData.username}}
                      <mat-icon matChipRemove *ngIf="removable" class="fa fa-times-circle"></mat-icon>
                    </mat-chip>
                    <br />
                    <input class="form-control" [formControl]="driverCtrl" placeholder="Select driver"
                      [matChipInputFor]="chipList3" [matAutocomplete]="auto4">
                  </mat-chip-list>
                  <mat-autocomplete #auto4="matAutocomplete" [displayWith]="displayFnDriverId"
                    (optionSelected)="driverIdselected1($event)">
                    <mat-option *ngFor="let driver of driversData" [value]="driver"
                      style="font-size:small;margin:5;padding:5">
                      {{driver.username}}
                    </mat-option>
                  </mat-autocomplete>
                </td>
                <td>
                  <div class="row">
                    <div class="col-sm-10">
                      <input name="shift_start" [(ngModel)]="selectedMoment" class="form-control" [min]="max"
                        [owlDateTimeTrigger]="dtPicker1" [owlDateTime]="dtPicker1" placeholder="From time"
                        [ngModelOptions]="{standalone: true}">
                    </div>
                    <div class="col-sm-1" style="margin-left:-22px;">
                      <i aria-hidden="true" class="fa fa-calendar" style="font-size: 28px;" [owlDateTimeTrigger]="dtPicker1"></i>
                      <owl-date-time #dtPicker1></owl-date-time>
                    </div>
                    <div class="col-sm-1">
                    </div>
                  </div>
                </td>
                <td>
                  <div class="row">
                    <div class="col-sm-10">
                      <input name="shift_end" [(ngModel)]="selectedMoment1" class="form-control" [min]="selectedMoment"
                        [owlDateTimeTrigger]="dtPicker2" [max]="getMax(selectedMoment)" [owlDateTime]="dtPicker2" placeholder="To time"
                        [ngModelOptions]="{standalone: true}">
                    </div>
                    <div class="col-sm-1" style="margin-left:-20px;">
                      <i aria-hidden="true" class="fa fa-calendar" style="font-size: 28px;" [owlDateTimeTrigger]="dtPicker2"></i>
                      <owl-date-time #dtPicker2></owl-date-time>
                    </div>
                    <div class="col-sm-1">
                    </div>
                  </div>
                </td>
                <td><input type="text" class="form-control" placeholder="Additional Note" name="additional_info"
                    [(ngModel)]="additional_info" class="form-control" [ngModelOptions]="{standalone: true}"></td>
                <td><button class="btn btn-sm btn-primary blue" type="button" (click)="addTempShift()">Add Standby
                    Driver</button>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
      <div class="pop-btn text-right">
        <button class="btn btn-sm btn-primary blue" type="submit">Save</button>
        <button class="btn btn-sm btn-primary red" type="button" (click)="closePop()">Cancel</button>
      </div>
    </form>
  </div>
</div>